Pythia8 shower failed since it did not accept any event from the MG5aMC event file

Bug #1674341 reported by Nicolas A. Neill on 2017-03-20
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
MadGraph5_aMC@NLO
Undecided
Valentin Hirschi

Bug Description

Hi,

I'm trying to generate a matched jet sample using pythia8 and MG 2.5.3, but I'm getting the following error:

Command "generate_events run_01" interrupted with error:
InvalidCmd : Pythia8 shower failed since it did not accept any event from the MG5aMC event file.

I'm doing the following for the generation:

generate p p > z, z > e+ e- @0
add process p p > z j, z > e+ e- @1
add process p p > z j j, z > e+ e- @2
output ~/mgoutput2/zjj_matched_MG253
launch
shower=pythia8
detector=delphes
set run_card ickkw 1
set run_card auto_ptj_mjj True
set run_card xqcut 20
set pythia8_card JetMatching:qCut 30

The same process with MG 2.3.3 and pythia 6 works fine.

I'm attaching the end of one of the log files (Events/run_01/PY8_parallelization/split_0/PY8_log.txt). If I don't do matching, the showering with pythia8 is working fine.

Thanks in advance,

Nicolas.

Changed in mg5amcnlo:
assignee: nobody → Valentin Hirschi (valentin-hirschi)

Could you try reshowering your events with Pythia8 but turning off the
parallelization handled by MG5aMC. You can do so with

./bin/mg5
launch ~/mgoutput2/zjj_matched_MG253 -i
set nb_core 1
shower pythia8 run_01 -f

Make sure that no multiple jobs are created this time. Let me know if it
works or if you face a similar error again (in which case it would be good
to attach the corresponding PY8 log file again).

On Mon, Mar 20, 2017 at 2:52 PM, Olivier Mattelaer <
<email address hidden>> wrote:

> ** Changed in: mg5amcnlo
> Assignee: (unassigned) => Valentin Hirschi (valentin-hirschi)
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1674341
>
> Title:
> Pythia8 shower failed since it did not accept any event from the
> MG5aMC event file
>
> Status in MadGraph5_aMC@NLO:
> New
>
> Bug description:
> Hi,
>
> I'm trying to generate a matched jet sample using pythia8 and MG
> 2.5.3, but I'm getting the following error:
>
> Command "generate_events run_01" interrupted with error:
> InvalidCmd : Pythia8 shower failed since it did not accept any event
> from the MG5aMC event file.
>
> I'm doing the following for the generation:
>
> generate p p > z, z > e+ e- @0
> add process p p > z j, z > e+ e- @1
> add process p p > z j j, z > e+ e- @2
> output ~/mgoutput2/zjj_matched_MG253
> launch
> shower=pythia8
> detector=delphes
> set run_card ickkw 1
> set run_card auto_ptj_mjj True
> set run_card xqcut 20
> set pythia8_card JetMatching:qCut 30
>
> The same process with MG 2.3.3 and pythia 6 works fine.
>
> I'm attaching the end of one of the log files
> (Events/run_01/PY8_parallelization/split_0/PY8_log.txt). If I don't do
> matching, the showering with pythia8 is working fine.
>
> Thanks in advance,
>
>
> Nicolas.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mg5amcnlo/+bug/1674341/+subscriptions
>

--
Valentin

Hi Valentin,

After reshowering with

./bin/mg5
launch ~/mgoutput2/zjj_matched_MG253 -i
set nb_core 1
shower pythia8 run_01 -f

I get the following:

zjj_matched_MG253>set nb_core 1
INFO: This option will be the default in any output that you are going to create in this session.
INFO: In order to keep this changes permanent please run 'save options'
zjj_matched_MG253>shower pythia8 run_01 -f
INFO: compile directory
compile Source Directory
Will run in mode delphes
INFO: Running Pythia8 [arXiv:1410.3012]
No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting it automatically to 2.
Follow Pythia8 shower by running the following command (in a separate terminal):
    tail -f /data/atlas/dbetalhc/nico-test/zjj_matched_MG253/Events/run_01/tag_2_pythia8.log
INFO: Create matching plots for Pythia8
Pythia8 cross-section could not be retreived.
Try turning parallelization off by setting the option nb_core to 1.
Pythia8 merged cross-sections could not be retreived.
Try turning parallelization off by setting the option nb_core to 1.
INFO: Pythia8 shower finished after 2 seconds.
INFO: prepare delphes run
INFO: Running Delphes
Command "shower pythia8 run_01 -f" interrupted with error:
AttributeError : 'NoneType' object has no attribute 'launch_and_wait'
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in '/data/atlas/dbetalhc/nico-test/zjj_matched_MG253/run_01_tag_2_debug.log'.
Please attach this file to your report.
INFO: storing files of previous run
INFO: Storing Pythia8 files of previous run
INFO: Done

It looks like it doesn't recognize the instruction with the number of cores. I also tried a new run with:

zjj_matched_MG253>generate_events --nb_core=1

but I get almost the same:

[...]
INFO: End of systematics computation
store_events
INFO: Storing parton level results
INFO: End Parton
reweight -from_cards
decay_events -from_cards
INFO: Running Pythia8 [arXiv:1410.3012]
No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting it automatically to 2.
Follow Pythia8 shower by running the following command (in a separate terminal):
    tail -f /data/atlas/dbetalhc/nico-test/zjj_matched_MG253/Events/run_02/tag_2_pythia8.log
INFO: Create matching plots for Pythia8
Pythia8 cross-section could not be retreived.
Try turning parallelization off by setting the option nb_core to 1.
Pythia8 merged cross-sections could not be retreived.
Try turning parallelization off by setting the option nb_core to 1.
INFO: Pythia8 shower finished after 2 seconds.
INFO: prepare delphes run
INFO: Running Delphes
Command "generate_events --nb_core=1" interrupted with error:
AttributeError : 'NoneType' object has no attribute 'launch_and_wait'
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in '/data/atlas/dbetalhc/nico-test/zjj_matched_MG253/run_02_tag_2_debug.log'.
Please attach this file to your report.

I'm attaching the debug and pythia8 log files for the last run (the errors in the logs from the previous run are the same).

Cheers,
Nicolas.

Download full text (5.3 KiB)

The specification 'nb_core=1' actually worked and turned off
parallelization. As you can see, you no longer have any 'split' directory
(which results from the parallelization obtained by splitting the original
.lhe event file) and the PY8 log file was this time found in:

/data/atlas/dbetalhc/nico-test/zjj_matched_MG253/Events/
run_02/tag_2_pythia8.log

From the 'run_02' directory, could you send me the
'unweighted_events.lhe.gz' file (ideally upload it somewhere and give me a
link to it) as well as the file 'tag_2_pythia8.cmd' so that i can try to
reproduce the issue?

On Tue, Mar 21, 2017 at 7:00 PM, Nicolas A. Neill <
<email address hidden>> wrote:

> Hi Valentin,
>
> After reshowering with
>
> ./bin/mg5
> launch ~/mgoutput2/zjj_matched_MG253 -i
> set nb_core 1
> shower pythia8 run_01 -f
>
> I get the following:
>
> zjj_matched_MG253>set nb_core 1
> INFO: This option will be the default in any output that you are going to
> create in this session.
> INFO: In order to keep this changes permanent please run 'save options'
> zjj_matched_MG253>shower pythia8 run_01 -f
> INFO: compile directory
> compile Source Directory
> Will run in mode delphes
> INFO: Running Pythia8 [arXiv:1410.3012]
> No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting
> it automatically to 2.
> Follow Pythia8 shower by running the following command (in a separate
> terminal):
> tail -f /data/atlas/dbetalhc/nico-test/zjj_matched_MG253/Events/
> run_01/tag_2_pythia8.log
> INFO: Create matching plots for Pythia8
> Pythia8 cross-section could not be retreived.
> Try turning parallelization off by setting the option nb_core to 1.
> Pythia8 merged cross-sections could not be retreived.
> Try turning parallelization off by setting the option nb_core to 1.
> INFO: Pythia8 shower finished after 2 seconds.
> INFO: prepare delphes run
> INFO: Running Delphes
> Command "shower pythia8 run_01 -f" interrupted with error:
> AttributeError : 'NoneType' object has no attribute 'launch_and_wait'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in '/data/atlas/dbetalhc/nico-
> test/zjj_matched_MG253/run_01_tag_2_debug.log'.
> Please attach this file to your report.
> INFO: storing files of previous run
> INFO: Storing Pythia8 files of previous run
> INFO: Done
>
> It looks like it doesn't recognize the instruction with the number of
> cores. I also tried a new run with:
>
> zjj_matched_MG253>generate_events --nb_core=1
>
> but I get almost the same:
>
> [...]
> INFO: End of systematics computation
> store_events
> INFO: Storing parton level results
> INFO: End Parton
> reweight -from_cards
> decay_events -from_cards
> INFO: Running Pythia8 [arXiv:1410.3012]
> No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting
> it automatically to 2.
> Follow Pythia8 shower by running the following command (in a separate
> terminal):
> tail -f /data/atlas/dbetalhc/nico-test/zjj_matched_MG253/Events/
> run_02/tag_2_pythia8.log
> INFO: Create matching plots for Pythia8
> Pythia8 cross-section could not be retreived.
> Try turning parallelization off by setting the option nb_core to 1.
> Pythia8 merged cros...

Read more...

Thanks! yes, parallelization was actually turned off.

Here are the .lhe.gz and .cmd files:
https://dl.dropboxusercontent.com/u/40548917/run_02.tar.gz

Mexxxanick (mexxxanick) wrote :

Hi everybody!
I digged a bit into this bug and found following:
1. It affects only the first job (split0)
2. I started to look for the difference in the LHE files prepared for split and found an empty event in the file for split0 right after the init block. Upon removal of that empty event pythia process that chunk well.

I'll try to see what I can do myself, but it seems to me that the problem is somewhere in the parsing of LHE file, so that it returns first item as empty...

Mexxxanick (mexxxanick) wrote :

hacky patch to fix the issue:

--- ../various/lhe_parser_old.py 2017-05-02 22:06:50.418781940 -0500
+++ ../various/lhe_parser.py 2017-05-02 22:07:10.571591216 -0500
@@ -569,6 +569,7 @@
     def split(self, nb_event=0, partition=None, cwd=os.path.curdir, zip=False):
         """split the file in multiple file. Do not change the weight!"""

+ empty_event = str(Event())
         nb_file = -1
         for i, event in enumerate(self):
             if (not (partition is None) and i==sum(partition[:nb_file+1])) or \
@@ -587,6 +588,8 @@
                 else:
                     current = open(pjoin(cwd,'%s_%s.lhe' % (self.name, nb_file)),'w')
                 current.write(self.banner)
+ if empty_event in str(event):
+ continue
             current.write(str(event))
         if i!=0:
             current.write('</LesHouchesEvent>\n')

There's probably better solution, but this helped me...

Changed in mg5amcnlo:
assignee: Valentin Hirschi (valentin-hirschi) → Olivier Mattelaer (olivier-mattelaer)

Hi,

Thanks for the patch.
To my understanding, it means that sometimes the events file that we produce (before the splitting)
has such empty event. I have run the same run as you did. But I'm not able to reproduce such problem.

So while your patch is fine, it actually hide the real problem (but I can not actually reproduce such problem so far.

Can you check that if you do not run pythia8, you indeed have one empty event in the unweighted_events.lhe.gz file?

Cheers,

Olivier

Did you find a solution to this bug? I am having the exact same problem with a different process. And no matter what I do, the error is always the same one: "Pythia8 shower failed since it did not accept any event from the MG5aMC event file."

Mexxxanick (mexxxanick) wrote :

Hi Olivier,
This empty event appears only in split files, the initial file from MadGraph doesn't seem to have it.

Hi!

I run the process with very few events and checked manually the split files and none of the events were empty... i.e. no event had empty lines between <event> ... and ... </event>

I also tried (same process different machine) to run pythia8 manually after ./bin/madevent

NewBckgndWZ>set nb_core 1
INFO: This option will be the default in any output that you are going to create in this session.
INFO: In order to keep this changes permanent please run 'save options'

NewBckgndWZ>pythia8 run_02 --nb_core=1

.
.
.

Pythia8 cross-section could not be retreived.
Try turning parallelization off by setting the option nb_core to 1.
Pythia8 merged cross-sections could not be retreived.
Try turning parallelization off by setting the option nb_core to 1

which makes no sense since the option was given twice! so

Changed in mg5amcnlo:
assignee: Olivier Mattelaer (olivier-mattelaer) → Valentin Hirschi (valentin-hirschi)

So there seems to be two different issues in this thread:

----------
1) Sometimes, the split event files show "empty events" which crash Pythia8.
I cannot reproduce this issue, even when starting from the 'unweighted_events.lhe' file provided by nicolas.neill.
So, at this stage, we cannot bring any further help. If you encounter similar issue (i.e. not just Pythia8 crashing, but crashing because it didn't accept any event, and then looking into the source .lhe file fed to PY8, you see empty events there), then please go to the file

<MG5_aMC_root_dir>/madgraph/interface/madevent_interface.py, around line 4106,

change:

n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir, zip=True)

into:

misc.sprint("Original evt file:", pjoin(self.me_dir,'Events',self.run_name,PY8_Card.subruns[0]['Beams:LHEF']))
misc.sprint("Partitions asked for":, partition)
n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir, zip=True)

And then send us the event file pointed at by the first printout line and what the 'partition' variable is. This should allow us to straight-forwardly reproduce the issue.

---------
2) The second issue 'Nelson Vanegas-Arbelaez' is having is probably completely unrelated and happens both with and without parallelization.
In this case it is probably an issue during Pythia8 run itself.
I suggest you look inside the Pythia8 log file in:

NewBckgndWZ/Events/run_02

And going to the end of it, it is likely that you will find an error report from PY8. If not, then forward this log by attaching it here to this thread.
If you find an error however, and you believe it is not directly related to the way MG5_aMC produced the event file, then directly address this error to Pythia8 authors.

Download full text (3.4 KiB)

I should add that in order to see the diagnostic messages I suggest to add,
you must run MG5_aMC in debug mode, that is:

cd <MG5_aMC_root_dir>
./bin/mg5 --debug
[...]

On Tue, Jul 25, 2017 at 12:26 AM, Valentin Hirschi <
<email address hidden>> wrote:

> So there seems to be two different issues in this thread:
>
> ----------
> 1) Sometimes, the split event files show "empty events" which crash
> Pythia8.
> I cannot reproduce this issue, even when starting from the
> 'unweighted_events.lhe' file provided by nicolas.neill.
> So, at this stage, we cannot bring any further help. If you encounter
> similar issue (i.e. not just Pythia8 crashing, but crashing because it
> didn't accept any event, and then looking into the source .lhe file fed to
> PY8, you see empty events there), then please go to the file
>
>
> <MG5_aMC_root_dir>/madgraph/interface/madevent_interface.py, around line
> 4106,
>
> change:
>
>
> n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir,
> zip=True)
>
> into:
>
> misc.sprint("Original evt file:", pjoin(self.me_dir,'Events',
> self.run_name,PY8_Card.subruns[0]['Beams:LHEF']))
> misc.sprint("Partitions asked for":, partition)
> n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir,
> zip=True)
>
> And then send us the event file pointed at by the first printout line
> and what the 'partition' variable is. This should allow us to straight-
> forwardly reproduce the issue.
>
> ---------
> 2) The second issue 'Nelson Vanegas-Arbelaez' is having is probably
> completely unrelated and happens both with and without parallelization.
> In this case it is probably an issue during Pythia8 run itself.
> I suggest you look inside the Pythia8 log file in:
>
> NewBckgndWZ/Events/run_02
>
> And going to the end of it, it is likely that you will find an error
> report from PY8. If not, then forward this log by attaching it here to this
> thread.
> If you find an error however, and you believe it is not directly related
> to the way MG5_aMC produced the event file, then directly address this
> error to Pythia8 authors.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1674341
>
> Title:
> Pythia8 shower failed since it did not accept any event from the
> MG5aMC event file
>
> Status in MadGraph5_aMC@NLO:
> New
>
> Bug description:
> Hi,
>
> I'm trying to generate a matched jet sample using pythia8 and MG
> 2.5.3, but I'm getting the following error:
>
> Command "generate_events run_01" interrupted with error:
> InvalidCmd : Pythia8 shower failed since it did not accept any event
> from the MG5aMC event file.
>
> I'm doing the following for the generation:
>
> generate p p > z, z > e+ e- @0
> add process p p > z j, z > e+ e- @1
> add process p p > z j j, z > e+ e- @2
> output ~/mgoutput2/zjj_matched_MG253
> launch
> shower=pythia8
> detector=delphes
> set run_card ickkw 1
> set run_card auto_ptj_mjj True
> set run_card xqcut 20
> set pythia8_card JetMatching:qCut 30
>
> The same process with MG 2.3.3 and pythia 6 works fine.
>
> I'm attaching the end of one of the log files
> (Events/run_01/PY8_para...

Read more...

hi guys, update on this.

I kept having the same issue with other processes as well, no matter what. I went in and modified as you suggested the file

<MG5_aMC_root_dir>/madgraph/interface/madevent_interface.py, around line 4106,

(actually around line 4400), changing:

n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir, zip=True)

into:

misc.sprint("Original evt file:", pjoin(self.me_dir,'Events',self.run_name,PY8_Card.subruns[0]['Beams:LHEF']))
misc.sprint("Partitions asked for":, partition)
n_splits = lhe_file.split(partition=partition, cwd=parallelization_dir, zip=True)

correcting the for": to be for:" in the second line.

However, even though I launched in parallel and Pythia 8 did split the .lhe file the message and variable 'partition' was not printed out and no file was pointed out at that stage. The screen was the same as always. I might have a mistake but I was expecting a new line on screen poiting to a file and printing the value of the variable 'partition'...

At the end what I am having to do is change me5_configuration.txt to work in single core. Then pythia works although obviously tremendously slow.

could it be to introduce a waiting period after the splitting of .lhe and before launching pythia8 jobs so that one can edit the empty event and see if that helps? The empty event is most commonly the first of split0, actually using sed one can kill those two lines.

Hi,

Thanks,

I finally find a way to reproduce the problem and succeed to find the origin of the problem.
In attachment, you will find the appropriate patch for this problem.

Cheers and thanks for your (very usefull) help,

Olivier

Tao Xu (taoxu) wrote :
Download full text (3.5 KiB)

Hi Olivier,

I tried the patch you provided for the same problem and got the following:

[xutao@localhost various]$ patch lhe_parser.py empty_file.patch
patching file lhe_parser.py
Hunk #1 FAILED at 173.
Hunk #2 succeeded at 229 (offset -4 lines).
Hunk #3 succeeded at 252 (offset -4 lines).
Hunk #4 succeeded at 2597 (offset -4 lines).
1 out of 4 hunks FAILED -- saving rejects to file lhe_parser.py.rej

There seems to be something wrong at line 173. So I modified it myself by adding

         if path.endswith('.gz') and mode == 'w' and\
                                               isinstance(self, EventFileNoGzip):
             path = path[:-3]

Then I made a simple test by performing PS in p p > j j process with matching, but got the following errors:

INFO: Running Pythia8 [arXiv:1410.3012]
No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting it automatically to 2.
Splitting .lhe event file for PY8 parallelization...
Command "generate_events run_01" interrupted with error:
IOError : [Errno 2] No such file or directory: '/home/xutao/HEP/MG5_aMC_v2_5_5/bin/PROC_sm_1/Events/run_01/unweighted_events.lhe_0.lhe.gz'
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in '/home/xutao/HEP/MG5_aMC_v2_5_5/bin/PROC_sm_1/run_01_tag_1_debug.log'.
Please attach this file to your report.
INFO: storing files of previous run
gzipping output file: unweighted_events.lhe
INFO: Done

I do have "unweighted_events.lhe_0.lhe" in that path, but not the .gz file. In "run_01_tag_1_debug.log", I find the following message:

generate_events run_01
Traceback (most recent call last):
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1430, in onecmd
    return self.onecmd_orig(line, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1384, in onecmd_orig
    return func(arg, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/madevent_interface.py", line 2130, in do_generate_events
    self.exec_cmd('shower --no_default', postcmd=False, printcmd=False)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1457, in exec_cmd
    stop = Cmd.onecmd_orig(current_interface, line, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1384, in onecmd_orig
    return func(arg, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/madevent_interface.py", line 3441, in do_shower
    postcmd=False, printcmd=False)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1457, in exec_cmd
    stop = Cmd.onecmd_orig(current_interface, line, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1384, in onecmd_orig
    return func(arg, **opt)
  File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/madevent_interface.py", line 4058, in do_pythia8
    pjoin(parallelization_dir,split_files[-1]))
  File "/usr/lib64/python2.6/shutil.py", line 260, in move
    copy2(src, real_dst)
  File "/usr/lib64/python2.6/shutil.py", line 95, in copy2
    copyfile(src, dst)
  File "/usr/lib64/python2.6/shutil.py", line 50, in ...

Read more...

Download full text (6.0 KiB)

Hi,

> There seems to be something wrong at line 173. So I modified it myself by adding
>
>
> if path.endswith('.gz') and mode == 'w' and\
> isinstance(self, EventFileNoGzip):
> path = path[:-3]

You did not have to add those lines at all.
That part of the patch was changing an empty line by another. It is completely irrelevant actually.

If you added those lines, I guess that they were not yet present.
They are related to another bug related to version 2.6 of python.
If you use that version, this explains why it was so difficult for Valentin and I reproduce this bug. It was only triggered with python 2.6
Due to the missing of support for zip file in that version of the code.

So my first advise, would be to remove the above line, to see if this helps.
If not, try with python2.7 (if available).
If this still not work, then the only way is to go to the development version of the code.

Cheers,

Olivier

> On 3 Aug 2017, at 07:49, Tao Xu <email address hidden> wrote:
>
> Hi Olivier,
>
> I tried the patch you provided for the same problem and got the
> following:
>
>
> [xutao@localhost various]$ patch lhe_parser.py empty_file.patch
> patching file lhe_parser.py
> Hunk #1 FAILED at 173.
> Hunk #2 succeeded at 229 (offset -4 lines).
> Hunk #3 succeeded at 252 (offset -4 lines).
> Hunk #4 succeeded at 2597 (offset -4 lines).
> 1 out of 4 hunks FAILED -- saving rejects to file lhe_parser.py.rej
>
>
> There seems to be something wrong at line 173. So I modified it myself by adding
>
>
> if path.endswith('.gz') and mode == 'w' and\
> isinstance(self, EventFileNoGzip):
> path = path[:-3]
>
>
> Then I made a simple test by performing PS in p p > j j process with matching, but got the following errors:
>
>
> INFO: Running Pythia8 [arXiv:1410.3012]
> No user-defined value for Pythia8 parameter 'JetMatching:nJetMax'. Setting it automatically to 2.
> Splitting .lhe event file for PY8 parallelization...
> Command "generate_events run_01" interrupted with error:
> IOError : [Errno 2] No such file or directory: '/home/xutao/HEP/MG5_aMC_v2_5_5/bin/PROC_sm_1/Events/run_01/unweighted_events.lhe_0.lhe.gz'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in '/home/xutao/HEP/MG5_aMC_v2_5_5/bin/PROC_sm_1/run_01_tag_1_debug.log'.
> Please attach this file to your report.
> INFO: storing files of previous run
> gzipping output file: unweighted_events.lhe
> INFO: Done
>
>
> I do have "unweighted_events.lhe_0.lhe" in that path, but not the .gz file. In "run_01_tag_1_debug.log", I find the following message:
>
>
> generate_events run_01
> Traceback (most recent call last):
> File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1430, in onecmd
> return self.onecmd_orig(line, **opt)
> File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/extended_cmd.py", line 1384, in onecmd_orig
> return func(arg, **opt)
> File "/home/xutao/HEP/MG5_aMC_v2_5_5/madgraph/interface/madevent_interface.py", line 2130, in do_generate_events
> self.exec_cmd('sho...

Read more...

Tao Xu (taoxu) wrote :

Hi Olivier,

Yes, the python version is 2.6.6.

Removing those lines solved my problem.
Thank you for your help!

Regards,
Tao XU

Changed in mg5amcnlo:
status: New → Fix Committed
Changed in mg5amcnlo:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers